Modal events

Bootstrap Modal Events

Note: We are transitioning MDB4 to a legacy version and focusing on developing MDB5. While we'll continue to support for the transition period, we encourage you to migrate to MDB5. We're offering a huge discount on MDB5 PRO to help with your transition, enabling you to leverage the full potential of the latest version. You can find more information here.
upgrade with discount

Bootstrap modal events are a set of JS scripts that let you launch Bootstrap modals based on an action performed by a user.


"Show.bs.modal" event

This event is fired just before the modal is opened.

        
            

        $("#centralModalSuccess").on('show.bs.modal', function(){
           alert("Hello World!");
        });
      
        
    
        
            

        <!-- Central Modal Medium Success -->
        <div class="modal fade" id="centralModalSuccess" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
          aria-hidden="true">
          <div class="modal-dialog modal-notify modal-success" role="document">
            <!--Content-->
            <div class="modal-content">
              <!--Header-->
              <div class="modal-header">
                <p class="heading lead">Modal Success</p>

                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true" class="white-text">&times;</span>
                </button>
              </div>

              <!--Body-->
              <div class="modal-body">
                <div class="text-center">
                  <i class="fas fa-check fa-4x mb-3 animated rotateIn"></i>
                  <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Impedit iusto nulla aperiam
                    blanditiis ad consequatur in dolores culpa, dignissimos, eius non possimus fugiat.
                    Esse ratione fuga, enim, ab officiis totam.</p>
                </div>
              </div>

              <!--Footer-->
              <div class="modal-footer justify-content-center">
                <a type="button" class="btn btn-success">Get it now <i class="far fa-gem ml-1 white-text"></i></a>
                <a type="button" class="btn btn-outline-success waves-effect" data-dismiss="modal">No, thanks</a>
              </div>
            </div>
            <!--/.Content-->
          </div>
        </div>
        <!-- Central Modal Medium Success-->

        <!-- Button trigger modal -->
        <div class="text-center">
          <a href="" class="btn btn-default btn-rounded" data-toggle="modal" data-target="#centralModalSuccess">Launch
            Modal Success <i class="far fa-eye ml-1"></i></a>
        </div>
      
        
    

"Shown.bs.modal" event

This event is fired after the modal is shown.

        
            
        $("#sideModalTLInfo").on('shown.bs.modal', function(){
           alert("Hello World!");
        });
      
        
    
        
            

        <!-- Central Modal Medium Info -->
        <div class="modal fade left" id="sideModalTLInfo" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
          aria-hidden="true">
          <div class="modal-dialog modal-notify modal-info modal-side modal-top-left" role="document">
            <!--Content-->
            <div class="modal-content">
              <!--Header-->
              <div class="modal-header">
                <p class="heading lead">Modal Info</p>

                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true" class="white-text">&times;</span>
                </button>
              </div>

              <!--Body-->
              <div class="modal-body">

                <img src="https://mdbootstrap.com/wp-content/uploads/2016/11/admin-dashboard-bootstrap.webp" alt=""
                  class="img-fluid">

                <div class="text-center">
                  <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nesciunt vero illo error eveniet cum.</p>
                </div>
              </div>

              <!--Footer-->
              <div class="modal-footer justify-content-center">
                <a type="button" class="btn btn-info">Get it now <i class="far fa-gem ml-1 white-text"></i></a>
                <a type="button" class="btn btn-outline-info waves-effect" data-dismiss="modal">No, thanks</a>
              </div>
            </div>
            <!--/.Content-->
          </div>
        </div>
        <!-- Central Modal Medium Info-->

        <div class="text-center">
          <a href="" class="btn btn-default btn-rounded" data-toggle="modal" data-target="#sideModalTLInfo">Launch
            Modal Info <i class="far fa-eye ml-1"></i></a>
        </div>

      
        
    

"Hide.bs.modal" event

This event is fired just before the modal is hidden.

        
            
        $("#ModalDanger").on('hide.bs.modal', function(){
          alert("Hello World!");
        });
      
        
    
        
            

        <!-- Central Modal Danger Demo-->
        <div class="modal fade right" id="ModalDanger" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
          aria-hidden="t`rue">
          <div class="modal-dialog modal-notify modal-danger modal-side modal-top-right" role="document">
            <!--Content-->
            <div class="modal-content">
              <!--Header-->
              <div class="modal-header">
                <p class="heading">Modal Danger</p>

                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true" class="white-text">&times;</span>
                </button>
              </div>

              <!--Body-->
              <div class="modal-body">

                <div class="row">
                  <div class="col-3">
                    <p></p>
                    <p class="text-center"><i class="fas fa-shopping-cart fa-4x"></i></p>
                  </div>

                  <div class="col-9">
                    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fuga, molestiae provident temporibus
                      sunt earum.</p>
                    <h2><span class="badge">v52gs1</span></h2>
                  </div>
                </div>
              </div>

              <!--Footer-->
              <div class="modal-footer justify-content-center">
                <a type="button" class="btn btn-danger">Get it now <i class="far fa-gem ml-1 white-text"></i></a>
                <a type="button" class="btn btn-outline-danger waves-effect" data-dismiss="modal">No, thanks</a>
              </div>
            </div>
            <!--/.Content-->
          </div>
        </div>
        <!-- Central Modal Danger Demo-->

        <div class="text-center">
          <a href="" class="btn btn-default btn-rounded" data-toggle="modal" data-target="#ModalDanger">Launch Modal
            Danger <i class="far fa-eye ml-1"></i></a>
        </div>

      
        
    

"Hidden.bs.modal" event

This event is fired after the modal is closed.

        
            

          $("#ModalWarning").on('hidden.bs.modal', function(){
            alert("Hello World!");
        });

      
        
    
        
            

        <!-- Central Modal Warning Demo-->
        <div class="modal fade left" id="ModalWarning" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
          aria-hidden="true">
          <div class="modal-dialog modal-notify modal-warning modal-side modal-bottom-left" role="document">
            <!--Content-->
            <div class="modal-content">
              <!--Header-->
              <div class="modal-header">
                <p class="heading">Modal Warning</p>

                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true" class="white-text">&times;</span>
                </button>
              </div>

              <!--Body-->
              <div class="modal-body">

                <div class="row">
                  <div class="col-3 text-center">
                    <img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(1).webp" alt="IMG of Avatars"
                      class="img-fluid z-depth-1-half rounded-circle">
                    <div style="height: 10px"></div>
                    <p class="title mb-0">Jane</p>
                    <p class="text-muted " style="font-size: 13px">Consultant</p>
                  </div>

                  <div class="col-9">
                    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fuga, molestiae provident temporibus
                      sunt earum.</p>
                    <p class="card-text"><strong>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</strong></p>
                  </div>
                </div>


              </div>

              <!--Footer-->
              <div class="modal-footer justify-content-center">
                <a type="button" class="btn btn-warning">Get it now <i class="far fa-gem ml-1 white-text"></i></a>
                <a type="button" class="btn btn-outline-warning waves-effect" data-dismiss="modal">No, thanks</a>
              </div>
            </div>
            <!--/.Content-->
          </div>
        </div>
        <!-- Central Modal Warning Demo-->

        <div class="text-center">
          <a href="" class="btn btn-default btn-rounded" data-toggle="modal" data-target="#ModalWarning">Launch Modal
            Warning <i class="far fa-eye ml-1 text-white"></i></a>
        </div>

Angular Bootstrap Modal Events

Angular Modal Events - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Angular Bootstrap modal events are a set of events that are emitted by the component when it is opened or closed.


"open" event

This event is fired just before the modal is open.

        
            
          <button type="button" mdbBtn color="primary" rounded="true" data-toggle="modal" data-target="#basicExample"
            (click)="frame.show()" mdbWavesEffect>Launch Modal</button>
          <div mdbModal #frame="mdbModal" class="modal fade" id="frameModalTop" tabindex="-1" role="dialog"
            aria-labelledby="myModalLabel" aria-hidden="true" (open)="onOpen($event)">
            <div class="modal-dialog modal-notify modal-success" role="document">
              <!--Content-->
              <div class="modal-content">
                <!--Header-->
                <div class="modal-header">
                  <p class="heading lead">Modal Success</p>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close" (click)="frame.hide()">
                    <span aria-hidden="true" class="white-text">&times;</span>
                  </button>
                </div>
                <!--Body-->
                <div class="modal-body">
                  <div class="text-center">
                    <mdb-icon fas icon="check" size="4x" class="mb-3 animated rotateIn"></mdb-icon>
                    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Impedit iusto nulla aperiam blanditiis
                      ad consequatur
                      in dolores culpa, dignissimos, eius non possimus fugiat. Esse ratione fuga, enim, ab officiis
                      totam.</p>
                  </div>
                </div>
                <!--Footer-->
                <div class="modal-footer justify-content-center">
                  <a type="button" mdbBtn color="primary" class="waves-light" mdbWavesEffect>Get it now
                    <mdb-icon far icon="gem" class="ml-1"></mdb-icon>
                  </a>
                  <a type="button" mdbBtn color="primary" outline="true" class="waves-effect" mdbWavesEffect (click)="frame.hide()"
                    data-dismiss="modal">No, thanks</a>
                </div>
              </div>
              <!--/.Content-->
            </div>
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'modal-event',
            templateUrl: './modal-event.component.html',
            styleUrls: ['./modal-event.component.css']
          })
          export class ModalEventComponent {
            onOpen(event: any) {
              console.log(event);
            }
          }
        
        
    

"opened" event

This event is fired after the modal is opened.

        
            
          <button type="button" mdbBtn color="default" rounded="true" data-toggle="modal" data-target="#basicExample"
            (click)="frame.show()" mdbWavesEffect>Launch Modal</button>
          <div mdbModal #frame="mdbModal" class="modal fade left" id="frameModalTop" tabindex="-1" role="dialog"
            aria-labelledby="myModalLabel" aria-hidden="true" (opened)="onOpened($event)">
            <div class="modal-dialog modal-notify modal-info modal-side modal-top-left" role="document">
              <!--Content-->
              <div class="modal-content">
                <!--Header-->
                <div class="modal-header">
                  <p class="heading lead">Modal Info</p>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close" (click)="frame.hide()">
                    <span aria-hidden="true" class="white-text">&times;</span>
                  </button>
                </div>
                <!--Body-->
                <div class="modal-body">
                  <img src="https://mdbootstrap.com/wp-content/uploads/2016/11/admin-dashboard-bootstrap.webp" alt=""
                    class="img-fluid">
                  <div class="text-center">
                    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nesciunt vero illo error eveniet cum.</p>
                  </div>
                </div>
                <!--Footer-->
                <div class="modal-footer justify-content-center">
                  <a type="button" mdbBtn color="primary" class="waves-effect" mdbWavesEffect>Get it now
                    <mdb-icon far icon="gem" class="ml-1"></mdb-icon>
                  </a>
                  <a type="button" mdbBtn color="primary" outline="true" class="waves-effect" mdbWavesEffect (click)="frame.hide()"
                    data-dismiss="modal">No, thanks</a>
                </div>
              </div>
              <!--/.Content-->
            </div>
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'modal-event',
            templateUrl: './modal-event.component.html',
            styleUrls: ['./modal-event.component.css']
          })
          export class ModalEventComponent {
            onOpened(event: any) {
              console.log(event);
            }
          }
        
        
    

"close" event

This event is fired just before the modal is closed.

        
            
          <button type="button" mdbBtn color="default" rounded="true" data-toggle="modal" data-target="#basicExample"
            (click)="frame.show()" mdbWavesEffect>Launch Modal</button>
          <div mdbModal #frame="mdbModal" class="modal fade right" id="frameModalTop" tabindex="-1" role="dialog"
            aria-labelledby="myModalLabel" aria-hidden="true" (close)="onClose($event)">
            <div class="modal-dialog modal-notify modal-danger modal-side modal-top-right" role="document">
              <!--Content-->
              <div class="modal-content">
                <!--Header-->
                <div class="modal-header">
                  <p class="heading">Modal Danger</p>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close" (click)="frame.hide()">
                    <span aria-hidden="true" class="white-text">&times;</span>
                  </button>
                </div>
                <!--Body-->
                <div class="modal-body">
                  <div class="row">
                    <div class="col-3">
                      <p></p>
                      <p class="text-center">
                        <mdb-icon fas icon="shopping-cart" size="4x"></mdb-icon>
                      </p>
                    </div>
                    <div class="col-9">
                      <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fuga, molestiae provident temporibus
                        sunt earum.</p>
                      <h2>
                        <mdb-badge danger="true">v52gs1</mdb-badge>
                      </h2>
                    </div>
                  </div>
                </div>
                <!--Footer-->
                <div class="modal-footer justify-content-center">
                  <a type="button" mdbBtn color="primary" class="waves-effect" mdbWavesEffect>Get it now
                    <mdb-btn far icon="gem" class="ml-1"></mdb-btn>
                  </a>
                  <a type="button" mdbBtn color="primary" outline="true" class="waves-effect" mdbWavesEffect (click)="frame.hide()"
                    data-dismiss="modal">No, thanks</a>
                </div>
              </div>
              <!--/.Content-->
            </div>
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'modal-event',
            templateUrl: './modal-event.component.html',
            styleUrls: ['./modal-event.component.css']
          })
          export class ModalEventComponent {
            onClose(event: any) {
              console.log(event);
            }
          }
        
        
    

"closed" event

This event is fired after the modal is closed.

        
            
          <button type="button" mdbBtn color="default" rounded="true" data-toggle="modal" data-target="#basicExample"
            (click)="frame.show()" mdbWavesEffect>Launch Modal</button>
          <div mdbModal #frame="mdbModal" class="modal fade left" id="frameModalTop" tabindex="-1" role="dialog"
            aria-labelledby="myModalLabel" aria-hidden="true" (closed)="onClosed($event)">
            <div class="modal-dialog modal-notify modal-warning modal-side modal-bottom-left" role="document">
              <!--Content-->
              <div class="modal-content">
                <!--Header-->
                <div class="modal-header">
                  <p class="heading">Modal Warning</p>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close" (click)="frame.hide()">
                    <span aria-hidden="true" class="white-text">&times;</span>
                  </button>
                </div>
                <!--Body-->
                <div class="modal-body">
                  <div class="row">
                    <div class="col-3 text-center">
                      <img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(1).webp" alt="Michal Szymanski - founder of Material Design for Bootstrap"
                        class="img-fluid z-depth-1-half rounded-circle">
                      <div style="height: 10px"></div>
                      <p class="title mb-0">Jane</p>
                      <p class="text-muted " style="font-size: 13px">Consultant</p>
                    </div>
                    <div class="col-9">
                      <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fuga, molestiae provident temporibus
                        sunt earum.</p>
                      <p class="card-text">
                        <strong>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</strong>
                      </p>
                    </div>
                  </div>
                </div>
                <!--Footer-->
                <div class="modal-footer justify-content-center waves-effect" mdbWavesEffect>
                  <a type="button" mdbBtn color="primary">Get it now
                    <mdb-icon far icon="gem" class="ml-1"></mdb-icon>
                  </a>
                  <a type="button" mdbBtn color="primary" outline="true" class="waves-effect" mdbWavesEffect (click)="frame.hide()"
                    data-dismiss="modal">No, thanks</a>
                </div>
              </div>
              <!--/.Content-->
            </div>
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'modal-event',
            templateUrl: './modal-event.component.html',
            styleUrls: ['./modal-event.component.css']
          })
          export class ModalEventComponent {
            onClosed(event: any) {
              console.log(event);
            }
          }
        
        
    

Angular Modals - API

In this section you will find informations about required modules and available inputs, outputs, methods and events of modals component.


Modules used

In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.

        
            
          import { ModalModule, ButtonsModule, WavesModule } from 'ng-uikit-pro-standard';
        
        
    
        
            
          import { ModalModule, ButtonsModule, WavesModule } from 'angular-bootstrap-md';
      
        
    

Directive

mdbModal

Selector: mdbModal

Type: ModalDirective


Inputs

Inputs

Name Type Default Description Example
[config] ModalOptions { } allows to set modal configuration via element property [config]="{backdrop: false}"

ModalOptions

Name Type Default Description Example
[config] ModalOptions { } allows to set modal configuration via element property [config]="{backdrop: false}"
backdrop boolean | "static" true Includes a modal-backdrop element. Alternatively, specify static for a backdrop which doesn't close the modal on click. [config]="{backdrop: false}"
ignoreBackdropClick boolean false Ignore the backdrop click. [config]="{ignoreBackdropClick: true}"
keyboard boolean true Closes the modal when the escape key is pressed. [config]="{keyboard: false}"
show boolean false Shows the modal when initialized. [config]="{show: true}"
class string ' ' Css class for opened modal. [config]="{class: 'custom-class'}"

Outputs

Name Type Description Example
closed EventEmitter<ModalDirective> Event is fired when the modal has finished being hidden from the user. (closed)="onClosed($event)"
close EventEmitter<ModalDirective> Event is fired instantly when the hide instance method has been called. (close)="onClose($event)"
open EventEmitter<ModalDirective> Event fires instantly when the show instance method is called. (open)="onOpen($event)"
opened EventEmitter<ModalDirective> Event is fired when the modal has been made visible to the user. (opened)="onOpened($event)"

Methods

In below table you can find every method which is available in ModalDirective.

Name Description
(event)="name.show()" Allows to manually open modal.
(event)="name.hide()" Allows to manually close modal.
(event)="name.toggle(value: boolean)()" Allows to manually toggle modal visibility.
(event)="name.focusOtherModal()" Events tricks.

Vue Modal events

Vue Bootstrap Modal Events

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Vue Bootstrap modal events are emitted by the component on consecutive stages of its life cycle. Use them to hook in custom handlers and orchestrate modals in a wider user experience context.


"show" modal event

This event is fired just before the modal is open.

        
            
          <template>
            <div>
              <!-- trigger modal button -->
              <mdb-btn rounded color="default" @click="show = true">launch success modal <mdb-icon icon="eye" class="ml-1"/></mdb-btn>
              <!-- Central Modal Medium Success -->
              <mdb-modal :show="show" @show="handleShow" @close="show = false" success>
                <mdb-modal-header>
                  <mdb-modal-title>Success Modal</mdb-modal-title>
                </mdb-modal-header>
                <mdb-modal-body  class="text-center">
                  <mdb-icon icon="check" size="4x" class="mb-3 animated rotateIn"/>
                  <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Impedit iusto nulla aperiam blanditiis ad consequatur in dolores culpa, dignissimos, eius non possimus fugiat. Esse ratione fuga, enim, ab officiis totam.</p>
                </mdb-modal-body>
                <mdb-modal-footer center>
                  <mdb-btn color="success" @click="show = false">Get it now <mdb-icon icon="gem" far class="ml-1" color="white"/></mdb-btn>
                  <mdb-btn outline="success" @click="show = false">No, thanks</mdb-btn>
                </mdb-modal-footer>
              </mdb-modal>
            </div>
          </template>
        
        
    
        
            
          <script>
            import {  mdbRow, mdbIcon, mdbBtn, mdbModal, mdbModalHeader, mdbModalTitle, mdbModalBody, mdbModalFooter } from 'mdbvue';
            export default {
              name:'ModalEventsPage',
              components: {
                mdbIcon,
                mdbBtn,
                mdbModal,
                mdbModalHeader,
                mdbModalTitle,
                mdbModalBody,
                mdbModalFooter
              },
              data() {
                return {
                  show: false,
                };
              },
              methods: {
                handleShow() {
                  /* eslint-disable no-alert*/
                  alert('show!');
                }
              }
            }
          </script>
        
        
    

"shown" modal event

This event is fired after the modal is shown.

        
            
          <template>
            <div>
              <!-- trigger modal button -->
              <mdb-btn rounded color="default" @click="shown = true">launch info modal <mdb-icon icon="eye" class="ml-1"/></mdb-btn>
              <!-- Central Info Modal -->
              <mdb-modal :show="shown" @shown="handleShown" @close="shown = false" info>
                <mdb-modal-header>
                  <mdb-modal-title>Info Modal</mdb-modal-title>
                </mdb-modal-header>
                <mdb-modal-body>
                  <img src="https://mdbootstrap.com/wp-content/uploads/2016/11/admin-dashboard-bootstrap.webp" alt="modal" class="img-fluid"/>
                  <p class="text-center">
                    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nesciunt vero illo error eveniet cum.
                  </p>
                </mdb-modal-body>
                <mdb-modal-footer center>
                  <mdb-btn color="info" @click="shown = false">Get it now <mdb-icon icon="gem" far class="ml-1" color="white"/></mdb-btn>
                  <mdb-btn outline="info" @click="shown = false">No, thanks</mdb-btn>
                </mdb-modal-footer>
              </mdb-modal>
            </div>
          </template>
        
        
    
        
            
          <script>
          import {  mdbRow, mdbIcon, mdbBtn, mdbModal, mdbModalHeader, mdbModalTitle, mdbModalBody, mdbModalFooter } from 'mdbvue';
          export default {
            name:'ModalEventsPage',
            components: {
              mdbIcon,
              mdbBtn,
              mdbModal,
              mdbModalHeader,
              mdbModalTitle,
              mdbModalBody,
              mdbModalFooter
            },
            data() {
              return {
                shown: false,
              };
            },
            methods: {
              handleShown() {
                /* eslint-disable no-alert*/
                alert('shown!');
              }
            }
          }
        </script>
      
        
    

"hide" modal event

This event is fired just before the modal is hidden.

        
            
          <template>
            <div>
              <!-- trigger modal button -->
              <mdb-btn rounded color="default" @click="hide = true">launch danger modal <mdb-icon icon="eye" class="ml-1"/></mdb-btn>
              <!-- Central Danger Modal -->
              <mdb-modal :show="hide" @hide="handleHide" @close="hide = false" danger>
                <mdb-modal-header>
                  <mdb-modal-title>Danger Modal</mdb-modal-title>
                </mdb-modal-header>
                <mdb-modal-body>
                  <mdb-row>
                    <mdb-col col="3" class="text-center"><mdb-icon icon="shopping-cart" size="4x"/></mdb-col>
                    <mdb-col col="9">
                      <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fuga, molestiae provident temporibus sunt earum.</p>
                      <h2><mdb-badge>v52gs1</mdb-badge></h2>
                    </mdb-col>
                  </mdb-row>
                </mdb-modal-body>
                <mdb-modal-footer center>
                  <mdb-btn color="danger" @click="hide = false">Get it now <mdb-icon icon="gem" far class="ml-1" color="white"/></mdb-btn>
                  <mdb-btn outline="danger" @click="hide = false">No, thanks</mdb-btn>
                </mdb-modal-footer>
              </mdb-modal>
            </div>
          </template>
        
        
    
        
            
          <script>
            import { mdbRow, mdbIcon, mdbBtn, mdbModal, mdbModalHeader, mdbModalTitle, mdbModalBody, mdbModalFooter, mdbCol, mdbBadge } from 'mdbvue';
            export default {
              name:'ModalEventsPage',
              components: {
                mdbRow,
                mdbIcon,
                mdbBtn,
                mdbModal,
                mdbModalHeader,
                mdbModalTitle,
                mdbModalBody,
                mdbModalFooter,
                mdbCol,
                mdbBadge
              },
              data() {
                return {
                  hide: false,
                };
              },
              methods: {
                handleHide() {
                  /* eslint-disable no-alert*/
                  alert('hide!');
                }
              }
            }
          </script>
        
        
    

"hidden" modal event

This event is fired after the modal is closed. Notice, how we use mdbContainer component to listen to the hidden event. By the time the modal is hidden (which is after the component is being destoyed), we need some kind of parent to do the listening and handling for us.

        
            
          <template>
            <div>
              <!-- trigger modal button -->
              <mdb-btn rounded color="default" @click="hidden=true">launch warning modal <mdb-icon icon="eye" class="ml-1"/></mdb-btn>
              <!-- Central Danger Modal -->
              <mdb-container @hidden="handleHidden">
                <mdb-modal :show="hidden" @close="hidden = false" warning>
                  <mdb-modal-header>
                    <mdb-modal-title>Warning Modal</mdb-modal-title>
                  </mdb-modal-header>
                  <mdb-modal-body>
                    <mdb-row>
                      <mdb-col col="3" class="text-center">
                        <img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(1).webp" alt="Jane, Consultant" class="img-fluid z-depth-1-half rounded-circle mb-2">
                        <p class="title mb-0">Jane</p>
                        <p class="text-muted " style="font-size: 13px">Consultant</p>
                      </mdb-col>
                      <mdb-col col="9">
                        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fuga, molestiae provident temporibus sunt earum.</p>
                        <p class="card-text"><strong>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</strong></p>
                      </mdb-col>
                    </mdb-row>
                  </mdb-modal-body>
                  <mdb-modal-footer center>
                    <mdb-btn color="warning" @click="hidden = false">Get it now <mdb-icon icon="gem" far class="ml-1" color="white"/></mdb-btn>
                    <mdb-btn outline="warning" @click="hidden = false">No, thanks</mdb-btn>
                  </mdb-modal-footer>
                </mdb-modal>
              </mdb-container>
            </div>
          </template>
        
        
    
        
            
          <script>
            import { mdbContainer, mdbRow, mdbCol, mdbIcon, mdbBtn, mdbModal, mdbModalHeader, mdbModalTitle, mdbModalBody, mdbModalFooter } from 'mdbvue';
            export default {
              name:'ModalEventsPage',
              components: {
                mdbContainer,
                mdbRow,
                mdbCol,
                mdbIcon,
                mdbBtn,
                mdbModal,
                mdbModalHeader,
                mdbModalTitle,
                mdbModalBody,
                mdbModalFooter
              },
              data() {
                return {
                  hidden: false,
                };
              },
              methods: {
                handleHidden() {
                  /* eslint-disable no-alert*/
                  alert('hide!');
                }
              }
            }
          </script>
        
        
    

"close" modal event

You may have noticed, that modals emit one more event, which is close. It is fired whenever any of the modal closing mechanisms (overlay or close button click, or a user-defined one) is triggered and used to handle the state-based (boolean data object property) modal life cycle.

Vue Modal events - API

In this section with short summary of life cycle events available to each modal.


Modal components import statement

In order to use the component make sure you have imported it properly.

        
            
      <script>
        import {
          mdbModal,
          mdbModalBody,
          mdbModalHeader,
          mdbModalFooter
        } from 'mdbvue';
      </script>
      
        
    

Modal Events

Modal window emits events, upon hearing which a wider UX context may react. Here they are:

Name Description
show Emitter right before modal window appears
shown Fired once modal is fully present
hide Can be heard when modal is about to disappear
hidden Goes off once modal is gone. Note: to actually hear the event, the listener must be placed outside of the modal window, which by the time of listening is already gone